Skip to main content
GET
/
v2
/
lists
/
{listId}
/
list-entries
/
{listEntryId}
/
fields
/
{fieldId}
Get a single field value
curl --request GET \
  --url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}/fields/{fieldId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "field-1",
  "name": "Field with company value",
  "type": "list",
  "enrichmentSource": null,
  "value": {
    "type": "company",
    "data": {
      "id": 1,
      "name": "Acme",
      "domain": "acme.co"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
integer<int64>
required

List ID

Required range: 1 <= x <= 9007199254740991
listEntryId
integer<int64>
required

List Entry ID

Required range: 1 <= x <= 9007199254740991
fieldId
string
required

Field ID

Examples:

"affinity-data-location"

"field-1234"

Response

OK

id
string
required

The field's unique identifier

Examples:

"affinity-data-location"

"field-1234"

name
string
required

The field's name

Example:

"Location"

type
enum<string>
required

The field's type

Available options:
enriched,
global,
list,
relationship-intelligence
Example:

"enriched"

enrichmentSource
enum<string> | null
required

The source of the data in this Field (if it is enriched)

Available options:
affinity-data,
dealroom,
eventbrite,
mailchimp,
null
Example:

"affinity-data"

value
CompaniesValue · object
required
Example:
{
"data": {
"continent": "North America",
"country": "United States",
"streetAddress": "1 Main Street",
"city": "San Francisco",
"state": "California"
},
"type": "location"
}